Bug 239429 - games/jutils: take maintainership and update to 1.0.1
Summary: games/jutils: take maintainership and update to 1.0.1
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Li-Wen Hsu
URL: https://reviews.freebsd.org/D21058
Keywords: needs-patch, needs-qa
Depends on:
Blocks:
 
Reported: 2019-07-24 18:09 UTC by voidanix
Modified: 2019-11-02 10:59 UTC (History)
0 users

See Also:


Attachments
update-jutils (2.07 KB, patch)
2019-07-24 18:09 UTC, voidanix
no flags Details | Diff
update-jutils (2.05 KB, patch)
2019-07-25 08:35 UTC, voidanix
no flags Details | Diff
update-jutils (2.40 KB, patch)
2019-09-04 11:52 UTC, voidanix
no flags Details | Diff
update-jutils-gl (2.37 KB, patch)
2019-09-19 18:22 UTC, voidanix
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description voidanix 2019-07-24 18:09:25 UTC
Created attachment 206040 [details]
update-jutils

Switch to maven as well
Comment 1 voidanix 2019-07-25 08:35:46 UTC
Created attachment 206055 [details]
update-jutils

Now colorized and should fetch deps
Comment 2 Tobias Kortkamp freebsd_committer 2019-08-30 11:36:59 UTC
It fails to build in Poudriere. See https://reviews.freebsd.org/P305.
Comment 3 voidanix 2019-09-04 11:52:09 UTC
Created attachment 207183 [details]
update-jutils

(In reply to Tobias Kortkamp from comment #2)

Thanks for the log :)
I've updated the patch to make it work without fetching the deps when building (something very wrong), but I've encountered several issues:

- I can't host a tar.gz with the deps elsewhere to keep the port clean
- A very dirty hack like placing the deps in FILESDIR doesn't work nevertheless
- Fetching the dependencies with maven separately seems to cause issues with a plugin

So I decided to fork the repo on my gitlab with the dependencies already bundled, could you try this new patch out?

It seems to work with poudriere on 11.2-RELEASE/amd64
Comment 4 voidanix 2019-09-19 18:22:55 UTC
Created attachment 207634 [details]
update-jutils-gl

Switch to fork with dependencies already fetched to avoid poudriere failure
Comment 5 Tobias Kortkamp freebsd_committer 2019-11-02 10:59:11 UTC
Fixed in ports r515922 by lwhsu@.